# Workspace Allocations

A workspace allocation represents a resource’s allocation over a specific period of time.
A workspace allocation is always associate with a workspace resource.

## Fetching a list of Workspace Allocations

 - [GET /workspace_allocations](https://developer.kantata.com/kantata/specification/workspace-allocations/get-workspace-allocations.md): This endpoint returns structured Workspace Allocation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workspace_allocations top-level JSON key.
Please see our Response Format section for more information.

## Creating a new Workspace Allocation

 - [POST /workspace_allocations](https://developer.kantata.com/kantata/specification/workspace-allocations/create-workspace-allocation.md): Creates a workspace allocation for a resource.

Bulk Create

This endpoint supports bulk creating up to 200 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:


{
  "workspace_allocations": [
    {
      "resource_id": 123,
      "start_date": "2025-03-03",
      "end_date": "2025-03-07",
      "minutes": 2100
    },
    {
      "resource_id": 123,
      "start_date": "2025-04-07",
      "end_date": "2025-07-11",
      "minutes": 2100
    }
  ]
}



This endpoint returns structured Workspace Allocation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workspace_allocations top-level JSON key.
Please see our Response Format section for more information.

## Splitting an Allocation

 - [PUT /workspace_allocations/split](https://developer.kantata.com/kantata/specification/workspace-allocations/split-workspace-allocation-by-date.md): Split an existing allocation into two on the specified date.

This endpoint returns structured Workspace Allocation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workspace_allocations top-level JSON key.
Please see our Response Format section for more information.

## Fetching a single Workspace Allocation

 - [GET /workspace_allocations/{id}](https://developer.kantata.com/kantata/specification/workspace-allocations/get-workspace-allocation.md): This endpoint returns structured Workspace Allocation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workspace_allocations top-level JSON key.
Please see our Response Format section for more information.

## Updating an existing Workspace Allocation

 - [PUT /workspace_allocations/{id}](https://developer.kantata.com/kantata/specification/workspace-allocations/update-workspace-allocation.md): This endpoint returns structured Workspace Allocation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workspace_allocations top-level JSON key.
Please see our Response Format section for more information.

## Deleting an existing Workspace Allocation

 - [DELETE /workspace_allocations/{id}](https://developer.kantata.com/kantata/specification/workspace-allocations/delete-workspace-allocation.md): The response will contain no content and an HTTP 204 status code if the request was
successful, or a standard Kantata OX error message explaining why the object could not be deleted.

